//Source file: InvalidCurrencyException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid currency specified.
 *
 */
public class InvalidCurrencyException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidCurrencyException() {
        super(); 
    }

    public InvalidCurrencyException(String message) {
        super(message); 
    }

    public InvalidCurrencyException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidCurrencyException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidCurrencyException

