//Source file: InvalidEnumValueException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown when an enum data type is accessed with an invalid request value 
 */
public class InvalidEnumValueException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidEnumValueException() {
        super(); 
    }

    public InvalidEnumValueException(String message) {
        super(message); 
    }

    public InvalidEnumValueException(String message, Throwable cause) {
        super(message, cause); 
    }

    public InvalidEnumValueException(Throwable cause) {
        _cause = cause; 
    }

} // InvalidEnumValueException

