//Source file: InvalidEventTypeException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid event type. 
 *
 */
public class InvalidEventTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidEventTypeException() {
        super(); 
    }

    public InvalidEventTypeException(String message) {
        super(message); 
    }

    public InvalidEventTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidEventTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidEventTypeException

