//Source file: InvalidSessionIdException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid session ID.
 *
 */
public class InvalidSessionIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidSessionIdException() {
        super(); 
    }

    public InvalidSessionIdException(String message) {
        super(message); 
    }

    public InvalidSessionIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSessionIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSessionIdException

