//Source file: InvalidTimeAndDateFormatException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid date and time format provided.
 *
 */
public class InvalidTimeAndDateFormatException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidTimeAndDateFormatException() {
        super(); 
    }

    public InvalidTimeAndDateFormatException(String message) {
        super(message); 
    }

    public InvalidTimeAndDateFormatException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidTimeAndDateFormatException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidTimeAndDateFormatException

