//Source file: InvalidVersionException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * An invalid version is specified.
 *
 */
public class InvalidVersionException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidVersionException() {
        super(); 
    }

    public InvalidVersionException(String message) {
        super(message); 
    }

    public InvalidVersionException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidVersionException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidVersionException

