//Source file: MethodNotSupportedException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown when the application initiates methods that are either not according to the Service Level Agreement or not supported in the SCS
 *
 */
public class MethodNotSupportedException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public MethodNotSupportedException() {
        super(); 
    }

    public MethodNotSupportedException(String message) {
        super(message); 
    }

    public MethodNotSupportedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public MethodNotSupportedException(Throwable cause) {
        _cause = cause; 
    }

} // MethodNotSupportedException
