//Source file: NoCallbackAddressSetException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown when no callback address has been set
 *
 */
public class NoCallbackAddressSetException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public NoCallbackAddressSetException() {
        super(); 
    }

    public NoCallbackAddressSetException(String message) {
        super(message); 
    }

    public NoCallbackAddressSetException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoCallbackAddressSetException(Throwable cause) {
        _cause = cause; 
    }

} // NoCallbackAddressSetException
