//Source file: OutOfServiceEvent.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * This event type is used by the listener to indicate that the object has moved
 * into an out of service state.
 */
public class OutOfServiceEvent extends java.util.EventObject {
    
    /**
     * Constructor for the OutOfServiceEvent Event.
     *
     * @param  source  Reference to the object firing the event.
     */
    public OutOfServiceEvent(java.lang.Object source) {

        super(source);
    }  

} // OutOfServiceEvent
