//Source file: PeerUnavailableException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Indicates failure to access an implementation of the Initial Interface
 *
 */
public class PeerUnavailableException extends java.lang.Exception {

    private Throwable _cause = null;

    public PeerUnavailableException() {
        super(); 
    }

    public PeerUnavailableException(String message) {
        super(message); 
    }

    public PeerUnavailableException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PeerUnavailableException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PeerUnavailableException
