//Source file: PlatformException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown when local platform or communication problems occur
 *
 */
public class PlatformException extends java.lang.RuntimeException {

    private Throwable _cause = null;

    public PlatformException() {
        super(); 
    }

    public PlatformException(String message) {
        super(message); 
    }

    public PlatformException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PlatformException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PlatformException
