//Source file: TaskRefusedException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown in case of a problem that is not temporary and when none of the other common or dedicated exceptions apply
 *
 */
public class TaskRefusedException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public TaskRefusedException() {
        super(); 
    }

    public TaskRefusedException(String message) {
        super(message); 
    }

    public TaskRefusedException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public TaskRefusedException(Throwable cause) {
        _cause = cause; 
    }

} // TaskRefusedException
