//Source file: UnauthorisedParameterValueException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * A method parameter value violates the Service Level Agreement.
 *
 */
public class UnauthorisedParameterValueException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public UnauthorisedParameterValueException() {
        super(); 
    }

    public UnauthorisedParameterValueException(String message) {
        super(message); 
    }

    public UnauthorisedParameterValueException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnauthorisedParameterValueException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnauthorisedParameterValueException

