//Source file: InvalidActivityEvent.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * This event type is used by the listener to indicate that the object has moved
 * into an invalid activity state.
 */
public class InvalidActivityEvent extends java.util.EventObject {
    
    /**
     * Constructor for the InvalidActivityEvent event
     *
     * @param  source Reference to the object firing the event
     */
    public InvalidActivityEvent(java.lang.Object source) {

        super(source);
    }  

} // InvalidActivityEvent
