//Source file: InvalidAddressException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid address specified.
 *
 */
public class InvalidAddressException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidAddressException() {
        super(); 
    }

    public InvalidAddressException(String message) {
        super(message); 
    }

    public InvalidAddressException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAddressException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAddressException

