//Source file: InvalidAmountException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid amount specified.
 *
 */
public class InvalidAmountException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidAmountException() {
        super(); 
    }

    public InvalidAmountException(String message) {
        super(message); 
    }

    public InvalidAmountException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAmountException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAmountException

