//Source file: InvalidAssignmentIdException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * The assignment ID is invalid
 *
 */
public class InvalidAssignmentIdException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidAssignmentIdException() {
        super(); 
    }

    public InvalidAssignmentIdException(String message) {
        super(message); 
    }

    public InvalidAssignmentIdException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAssignmentIdException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAssignmentIdException

