//Source file: InvalidCriteriaException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid criteria specified.
 *
 */
public class InvalidCriteriaException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidCriteriaException() {
        super(); 
    }

    public InvalidCriteriaException(String message) {
        super(message); 
    }

    public InvalidCriteriaException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidCriteriaException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidCriteriaException

