//Source file: InvalidInterfaceNameException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Invalid interface name.
 *
 */
public class InvalidInterfaceNameException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidInterfaceNameException() {
        super(); 
    }

    public InvalidInterfaceNameException(String message) {
        super(message); 
    }

    public InvalidInterfaceNameException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidInterfaceNameException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidInterfaceNameException

