//Source file: InvalidInterfaceTypeException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * The interface reference supplied by the client is the wrong type.
 *
 */
public class InvalidInterfaceTypeException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidInterfaceTypeException() {
        super(); 
    }

    public InvalidInterfaceTypeException(String message) {
        super(message); 
    }

    public InvalidInterfaceTypeException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidInterfaceTypeException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidInterfaceTypeException

