//Source file: InvalidStateException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown when a method is called that is not allowed in the state that the OSA state machines are in
 */
public class InvalidStateException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public InvalidStateException() {
        super(); 
    }

    public InvalidStateException(String message) {
        super(message); 
    }

    public InvalidStateException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidStateException(Throwable cause) {
        _cause = cause; 
    }

} // InvalidStateException
