//Source file: InvalidUnionAccessorException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown when the expected data element has not been set
 */
public class InvalidUnionAccessorException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidUnionAccessorException() {
        super(); 
    }

    public InvalidUnionAccessorException(String message) {
        super(message); 
    }

    public InvalidUnionAccessorException(String message, Throwable cause) {
        super(message, cause); 
    }

    public InvalidUnionAccessorException(Throwable cause) {
        _cause = cause; 
    }

} // InvalidUnionAccessorException

