//Source file: ResourcesUnavailableException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown when a physical resource in the network is not available
 *
 */
public class ResourcesUnavailableException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public ResourcesUnavailableException() {
        super(); 
    }

    public ResourcesUnavailableException(String message) {
        super(message); 
    }

    public ResourcesUnavailableException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public ResourcesUnavailableException(Throwable cause) {
        _cause = cause; 
    }

} // ResourcesUnavailableException
