//Source file: TaskCancelledException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * Thrown in case of a temporary problem
 *
 */
public class TaskCancelledException extends org.csapi.jr.se.CommonException {

    private Throwable _cause = null;

    public TaskCancelledException() {
        super(); 
    }

    public TaskCancelledException(String message) {
        super(message); 
    }

    public TaskCancelledException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public TaskCancelledException(Throwable cause) {
        _cause = cause; 
    }

} // TaskCancelledException
