//Source file: UnsupportedAddressPlanException.java
//Date: June 2006
//Common Data Types for 3GPP TS 29.198-02 V6.5.0

package org.csapi.jr.se;

/**
 * An address contains an address plan which is not supported.
 *
 */
public class UnsupportedAddressPlanException extends org.csapi.jr.se.InvalidAddressException {

    private Throwable _cause = null;

    public UnsupportedAddressPlanException() {
        super(); 
    }

    public UnsupportedAddressPlanException(String message) {
        super(message); 
    }

    public UnsupportedAddressPlanException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public UnsupportedAddressPlanException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // UnsupportedAddressPlanException

